### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Globals

# xgpio_sinit.c File Reference

## Detailed Description

The implementation of the XGpio component's static initialzation functionality.

Note:

None

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     2.01a jvb  10/13/05 First release
     2.11a mta  03/21/07 Updated to new coding style

## Functions
XGpio_Config * | XGpio_LookupConfig (u16 DeviceId)
int | XGpio_Initialize (XGpio *InstancePtr, u16 DeviceId)

## Function Documentation

int XGpio_Initialize | ( | XGpio * | InstancePtr,
|  | u16 | DeviceId
| ) |

  | Initialize the XGpio instance provided by the caller based on the given DeviceID. Nothing is done except to initialize the InstancePtr. Parameters:
  | InstancePtr | is a pointer to an XGpio instance. The memory the pointer references must be pre-allocated by the caller. Further calls to manipulate the component through the XGpio API must be made with this pointer.
  | DeviceId | is the unique id of the device controlled by this XGpio component. Passing in a device id associates the generic XGpio instance to a specific device, as chosen by the caller or application developer.
Returns: XST_SUCCESS if the initialization was successfull. XST_DEVICE_NOT_FOUND if the device configuration data was not found for a device with the supplied device ID. Note: None.

XGpio_Config* XGpio_LookupConfig | ( | u16 | DeviceId | ) |

  | Lookup the device configuration based on the unique device ID. The table ConfigTable contains the configuration info for each device in the system. Parameters:
  | DeviceId | is the device identifier to lookup.
Returns: A pointer of data type XGpio_Config which points to the device configuration if DeviceID is found. NULL if DeviceID is not found. Note: None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.